<?php

/**
 * This file contains \PCSG\Presentation
 */
namespace PCSG\Presentation;

use QUI;

/**
 * Class Presentation
 * @package PCSG
 */
class EventHandler
{
    /**
     * @param QUI\Template $Template
     */
    public static function onTemplateGetHeader(QUI\Template $Template)
    {
        $Project = QUI::getRewrite()->getProject();

        if (!$Project->getConfig('pcsg.settings.presentation')) {
            return;
        }

        $Template->extendHeaderWithJavaScriptFile(
            URL_OPT_DIR . 'pcsg/presentation/bin/js/init.js'
        );
    }

    /**
     * @param $content
     */
    public static function onRequestOutput($content)
    {
        $Project = QUI::getRewrite()->getProject();

        if (!$Project->getConfig('pcsg.settings.presentation')) {
            return;
        }

        if (!isset($_GET['presentation'])) {
            return;
        }

        $Rewrite  = QUI::getRewrite();
        $Engine   = QUI::getTemplateManager()->getEngine();
        $Response = QUI::getGlobalResponse();

        $Engine->assign(array(
            'Project' => $Rewrite->getProject(),
            'lastUpdate' => QUI::getPackageManager()->getLastUpdateDate(),
            'URL_DIR' => URL_DIR,
            'URL_BIN_DIR' => URL_BIN_DIR,
            'URL_LIB_DIR' => URL_LIB_DIR,
            'URL_VAR_DIR' => URL_VAR_DIR,
            'URL_OPT_DIR' => URL_OPT_DIR,
            'URL_USR_DIR' => URL_USR_DIR
        ));

        $Response->setContent(
            $Engine->fetch(dirname(__FILE__) . '/template.html')
        );

        $Response->send();
        exit;
    }
}
